import httpService from "@/request"

// 注册
export function register(params) {
	return httpService({
		url: `register`,
		method: 'post',
		data: params,
	})
}
// 登录
export function loginPWD(params) {
	return httpService({
		url: `/loginPWD`,
		method: 'post',
		data: params,
	})
}
// 登录
export function loginTelCode(params) {
	return httpService({
		url: `/loginTelCode`,
		method: 'post',
		data: params,
	})
}

// 退出
export function quit(params) {
	return httpService({
		url: `/user/quit`,
		method: 'post',
		data: params,
	})
}

// 获取登录验证码
export function sendTelCode(params) {
	return httpService({
		url: `/sendTelCode`,
		method: 'post',
		data: params,
	})
}
// 注册验证码
export function sendRegisterCode(params) {
	return httpService({
		url: `/sendTelRegisterCode`,
		method: 'post',
		data: params,
	})
}
// 用户信息
export function userInfo(params) {
	return httpService({
		url: `/user/getUserInfo`,
		method: 'get',
		params: params,
	})
}
